> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a contact

> Delete an existing contact from a particular HubSpot portal. If a contact with the same email address interacts with the portal again (via a form submission for example) the contact will be added back into the user interface.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json DELETE /contacts/v1/contact/vid/{contact_id}
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/contact/vid/{contact_id}:
    delete:
      summary: Delete a contact
      description: >-
        Delete an existing contact from a particular HubSpot portal. If a
        contact with the same email address interacts with the portal again (via
        a form submission for example) the contact will be added back into the
        user interface.
      operationId: deletecontactsv1contactvidcontactid
      parameters:
        - name: contact_id
          in: path
          required: true
          description: >-
            You must pass the Contact's ID that you're deleting in the request
            URL. See the example URL below for an example of this.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - Delete an existing contact from a particular
            HubSpot portal
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create or update a contact - Example 1
                  value:
                    vid: 61571
                    deleted: true
                    reason: OK
      security:
        - oauth2:
            - crm.objects.contacts.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.write
        - private_apps_legacy: []
components: {}

````